.twitter-typeahead {
  width: 100%;
}
.tt-hint {
  color: #888;
}
.tt-input {
  color: #333;
}
.tt-menu {
  background: #fff;
  width: calc(100% + 40px);
  width: calc(100% + 60px);
  border: 2px solid #a626aa;
//border-top: none;
  z-index: 99;
  position: relative;
  font-size: .9em;
  margin-top:-2px;
}
.tt-menu .tt-suggestion {
  padding: 2px 10px;
  cursor: pointer;
  height: 24px;
}
.tt-menu .tt-suggestion.tt-cursor,
.tt-menu .tt-suggestion:hover {
  background: #a626aa;
  color: #fff;
  display: block;
  /* float: left; */
  position: relative;
  max-height: 35px;
  height: 24px;
}
.tt-menu .tt-suggestion.tt-cursor img,
.tt-menu .tt-suggestion:hover img {
  display: block;
}
.tt-menu .tt-suggestion img {
  position: relative;
  top: -18px;
  width: 150px;
//right: -100%;
  left:-100%;
  margin-left: 40px;
  margin-right: 0px;
  background-color: #fff;
  display: none;
  border: 2px solid #A626AA;
  padding: 5px 15px;
  margin-top: -25%;
  height: 120px;
  object-fit: contain;
}
.search__input {
  width: 100%;
}
.search__input:focus {
  width: 100%;
}

.main__product-mods .switch-item__label{
  color:#000;
}

.main__product-mods .switch-item__label.selected {
  color: #fff;
  background-color: #892488;
}

.main__product-mods .switch__item.disabled {
  background-color: rgba(109, 107, 107, 0.3);
}
.main__product-mods .switch__item.disabled .switch-item__label {
  color: #777;
}

.main__product-mods .switch__item.disabled{
  border-color:#999;
}

.main__product-mods .switch__item.disabled:first-child{
  border-left-color:transparent;

}

.main__product-mods .switch__item:before,
.main__product-mods .switch__item:after{
  content:'';
  position:absolute;
  width:3px;
  height:100%;
  background-color:#892488;
  border:3px solid #892488;
  border-left:none;
  border-right:none;
  z-index:1;
  display:none;
}
.main__product-mods .switch__item.disabled:first-child:before,
.main__product-mods .switch__item:not(.disabled):before{
  display:block;
  margin-top:-3px;
  margin-left:-3px;

}

.main__product-mods .switch__item:not(.disabled):after{
  display:block;
  top:0px;
  right:0;
  margin-right:-3px;
  margin-top:-3px;
}

.mod-switch__item .switch-item__label{
  padding:15px 0;
}


@media only screen
and (min-width: 63em){
  .main__product-mods .switch-item__label:hover{
    color:#fff;
  }
  .main__product-mods .switch__item:not(.disabled):hover:after,
  .main__product-mods .switch__item:not(.disabled):hover:before{
    border-color:#A626AA;
    background-color:#A626AA;
    z-index:100;
  }
  .main__product-mods .switch__item:hover .switch-item__label.selected{
    border-color:#A626AA;
    background-color:#A626AA;
  }
  .main__product-mods .switch__item.disabled:hover{
    border-color:#A626AA;
    background-color:transparent;
  }
  .main__product-mods .switch__item.disabled:hover .switch-item__label{
    border-color:#892488;
    background-color: rgba(109, 107, 107, 0.2);
    color:#555;
  }
  .main__product-mods .switch__item.disabled:not(:first-child):hover:before{
    display:block;
    z-index:0;
    margin-left:-3px;
    margin-top:-3px;
    background-color:#892488;
  }
  .main__product-mods .switch__item:first-child:hover:before{
    background-color:#892488;
  }
  .main__product-mods .switch__item:first-child:hover{
    border-left-color:#892488;
  }

}
.main__product-mods .modifications__switcher > div {
  /*   margin-top: -1px; */
  /*   margin-bottom: -1px; */
}

.main__product-mods .switch{
  margin: 8px 0;
}

.main__product-mods .switch__title:before{
  content:attr(data-row);
  position:relative;
  display:table-cell;
  min-width:180px;
  text-align:center;
  text-transform:uppercase;
  color:#fff;
  background-color:#892488;
}

.main__product-mods .switch__item.mod-switch__item{
  width:70px;
}

.main__product-mods .switch__item{
  position: relative;
}